## mpegpsdemux mpegpsdemux |

## Description

## Synopsis

### Element Information

plugin | mpegpsdemux
author | Wim Taymans <wim@fluendo.com>
class | Codec/Demuxer

### Element Pads

name | sink
direction | sink
presence | always
details | video/mpeg, mpegversion=(int){ 1, 2 }, systemstream=(boolean)true
| video/x-cdxa

name | audio_%02x
direction | source
presence | sometimes
details | audio/mpeg, mpegversion=(int)1
| audio/mpeg, mpegversion=(int)4, stream-format=(string){ adts, loas }
| audio/x-private1-lpcm
| audio/x-private1-ac3
| audio/x-private1-dts
| audio/ac3

name | private_%d
direction | source
presence | sometimes
details | ANY

name | subpicture_%02x
direction | source
presence | sometimes
details | subpicture/x-dvd

name | video_%02x
direction | source
presence | sometimes
details | video/mpeg, mpegversion=(int){ 1, 2, 4 }, systemstream=(boolean)false, parsed=(boolean)false
| video/x-h264, stream-format=(string)byte-stream
| video/x-h265, stream-format=(string)byte-stream

## Functions

## Types and Values